Bug 484177 - List headers are (incorrectly) numbered when exporting file as XHTML
List headers are (incorrectly) numbered when exporting file as XHTML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 03:06 EST by Suqin Huang
Modified: 2009-05-15 19:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.1-15.4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example odt file (312.93 KB, application/vnd.oasis.opendocument.text)
2009-02-05 03:06 EST, Suqin Huang
no flags Details
xhtml file which line number is incorrect (61.04 KB, application/xhtml+xml)
2009-02-05 03:07 EST, Suqin Huang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 101354 None None None Never

  None (edit)
Description Suqin Huang 2009-02-05 03:06:19 EST
Created attachment 330969 [details]
Example odt file

Description of problem:
Line number is incorrect when export file as XHTML

Version-Release number of selected component (if applicable):
openoffice.org-3.0.1-15.2.fc10.i386

How reproducible:
Sometimes

Steps to Reproduce:
1. Open one .odt file(I already attach it).
2. Click File->Export.
3. Enter file name and select XHTML(.html; .xhtml) in File type area.
4. Open the exported xhtml file.
  
Actual results:
Line number is displayed in subchapters which doesn't exist in odt file.

Expected results:
Exported xhtml file is same as the odt file.

Additional info:
Comment 1 Suqin Huang 2009-02-05 03:07:22 EST
Created attachment 330970 [details]
xhtml file which line number is incorrect
Comment 2 David Tardon 2009-02-05 03:48:55 EST
From reported version it's a bug against F-10, not Rawhide.

It could possibly be an unexpected result of my fix for bug 480121 (or related to it). I'll look at it again, sometime.

dtardon->shuang: XHTML exported from any more complex ODT document will _never_ be the same as the original ODT. There are significant differences (by design) between ODT and XHTML+CSS which doesn't allow that. Moreover, the current state of the XHTML export filter is more a proof of concept than a mature solution; it has many drawbacks.
Comment 3 Caolan McNamara 2009-02-05 04:28:54 EST
Still, we should get basic numbering right :-) If this happens though in an vanilla OOo as well (tricky as upstream xhtml export doesn't work at all) then I'd be happy with moving the issue upstream.
Comment 4 David Tardon 2009-02-11 06:09:54 EST
dtardon->shuang: How did you get the XHTML file in comment 1? It's totally different from the one XHTML export filter from 3.0.1-15.2 produces....

The paragraphs which are numbered in the XHTML file but not in Writer are saved as style:list-header elements in the ODT file. ODT spec says (4.3.2): "The <text:list-header> element represents a list header and is a special kind of list item. It contains one or more paragraphs that are displayed before a list. The paragraphs are formatted like list items but they do not have a preceding number or bullet." It should be quite easy to fix that in the stylesheet.
Comment 5 Caolan McNamara 2009-04-17 18:28:37 EDT
Are we broken in comparison to a "vanilla" build due to using a system xslt solution ? Or is it equally broken in all versions ?
Comment 6 David Tardon 2009-04-27 02:06:35 EDT
Fix committed to F-10, F-11 and Rawhide. It will be in 3.1.0-11.1 for F-11/Rawhide and in 3.0.1-15.4 for F-10, if we decide to do another update.
Comment 7 Fedora Update System 2009-05-05 07:23:42 EDT
openoffice.org-3.0.1-15.4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.4.fc10
Comment 8 Fedora Update System 2009-05-06 19:29:00 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4273
Comment 9 Fedora Update System 2009-05-15 19:32:25 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.